!= Module BasicEnvInit
!
! Authors::   SUGIYAMA Koichiro, ODAKA Masatsugu
! Version::   $Id: initialdata_basic.f90,v 1.9 2011-06-17 19:07:25 sugiyama Exp $
! Tag Name::  $Name: arare5-20130130-2 $
! Copyright:: Copyright (C) GFD Dennou Club, 2006. All rights reserved.
! License::   See COPYRIGHT[link:../../COPYRIGHT]
!
!== Overview 
!
!ǥեȤδܾꤹ뤿ѿȷ⥸塼
!   * BasicEnvFile_init: ܾͤ netCDF ե뤫
!   * BasicEnvCalc_Init: ܾξ Namelist ͤ׻
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!== Future Plans
!
module initialdata_basic
  !
  ! ǥեȤδܾ뤿Υ롼

    
  !ۤηػ
  implicit none

  !ǥեȤ private
  private

  real(8), save  :: Humidity = 0.0d0        !ܾμ 
  real(8), save  :: TempStrat = 100.0d0     !طβ [k]
  real(8), save  :: HeightStrat = 18.0d3    !طι [k]
  real(8), save  :: Dhight = 5.0d3          !ŤߴؿΥѥ᡼ [m]

  ! public
  public initialdata_basic_nml
  public initialdata_basic_dry
  public initialdata_basic_moist
  public initialdata_basic_strat
  public initialdata_basic_isothermal
    
contains

  subroutine initialdata_basic_dry( z_TempBZ, z_PressBZ, za_MolFr )

    implicit none

    real(8), intent(out) :: z_TempBZ(kmin:kmax)
    real(8), intent(out) :: z_PressBZ(kmin:kmax)
    real(8), intent(out) :: za_MolFr(kmin:kmax, 1:ncmax)
    


  end subroutine initialdata_basic_dry


  subroutine initialdata_basic_moist( z_TempBZ, z_PressBZ, za_MolFr )

    implicit none

    real(8), intent(out) :: z_TempBZ(kmin:kmax)
    real(8), intent(out) :: z_PressBZ(kmin:kmax)
    real(8), intent(out) :: za_MolFr(kmin:kmax, 1:ncmax)
    
    
    
  end subroutine initialdata_basic_moist

  

 
end module initialdata_basic
